org.apache.ignite.spi.communication.tcp.internal

## Interface ConnectionRequestor

    public interface ConnectionRequestor

Helper interface to ask other nodes to open connections.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `request(ClusterNode node, int connIdx)` Request opening of TCP connection from node `node` with index `connIdx`.

### Method Detail

#### request

    void request(ClusterNode node,
                 int connIdx)
          throws IgniteCheckedException

Request opening of TCP connection from node `node` with index `connIdx`.

Parameters:
  `node` - Node.
  `connIdx` - Connection index.
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021